#include <pslib.h>

// Check memory
void stacCheckMemory(void);

// Print out the problem
void stacMemoryProblem(const psMemBlock* ptr, ///< the pointer to the problematic memory block.
               const char *file, ///< the file in which the problem originated
               psS32 lineno ///< the line number in which the problem originated
    );

// Print out a memblock when it's allocated --- this function used as a callback
psMemoryId stacMemPrint(const psMemBlock *ptr);


